# SQLite Class Reference
[Connectors and dialects for various databases]

SQLite DB connector. More...

Inheritance diagram for SQLite:
[legend]

List of all members.

## Public Member Functions

| connect ()
| disconnect ()
| isConnected ()
| setDbEncoding ()
| misc
| queryRaw ($queryString)
| query methods
| queryCount (Query $query)
| Same as query, but returns number of affected rows Returns number of affected rows in insert/update queries.
| queryRow (Query $query)
| queryColumn (Query $query)
| querySet (Query $query)
| hasQueue ()
| getTableInfo ($table)

## Static Public Member Functions

static | getDialect ()

## Protected Member Functions

| getInsertId ()

## Private Member Functions

| checkSingle ($result)

## Detailed Description

SQLite DB connector.

you may wish to ini_set('sqlite.assoc_case', 0);

See also:
  http://www.sqlite.org/

Definition at line 21 of file SQLite.class.php.

## Member Function Documentation

SQLite::checkSingle | ( | $ | result | ) | `[private]`

Definition at line 182 of file SQLite.class.php.

Referenced by queryRow().

SQLite::connect | ( |  | ) |

Returns:
  SQLite

Reimplemented from DB.

Definition at line 34 of file SQLite.class.php.

SQLite::disconnect | ( |  | ) |

Returns:
  SQLite

Reimplemented from DB.

Definition at line 53 of file SQLite.class.php.

References isConnected().

Here is the call graph for this function:

static SQLite::getDialect | ( |  | ) | `[static]`

Returns:
  LiteDialect

Reimplemented from DB.

Definition at line 26 of file SQLite.class.php.

References LiteDialect::me().

Here is the call graph for this function:

SQLite::getInsertId | ( |  | ) | `[protected]`

Reimplemented from Sequenceless.

Definition at line 177 of file SQLite.class.php.

SQLite::getTableInfo | ( | $ | table | ) |

Reimplemented from DB.

Definition at line 172 of file SQLite.class.php.

SQLite::hasQueue | ( |  | ) |

Reimplemented from DB.

Definition at line 167 of file SQLite.class.php.

SQLite::isConnected | ( |  | ) |

Reimplemented from DB.

Definition at line 61 of file SQLite.class.php.

Referenced by disconnect().

SQLite::queryColumn | ( | Query $ | query | ) |

Reimplemented from DB.

Definition at line 129 of file SQLite.class.php.

References Sequenceless::query().

Here is the call graph for this function:

SQLite::queryCount | ( | Query $ | query | ) |

Same as query, but returns number of affected rows Returns number of affected rows in insert/update queries.

Reimplemented from DB.

Definition at line 102 of file SQLite.class.php.

References DB::queryNull().

Here is the call graph for this function:

SQLite::queryRaw | ( | $ | queryString | ) |

query methods

Reimplemented from DB.

Definition at line 79 of file SQLite.class.php.

SQLite::queryRow | ( | Query $ | query | ) |

Reimplemented from DB.

Definition at line 109 of file SQLite.class.php.

References checkSingle(), and Sequenceless::query().

Here is the call graph for this function:

SQLite::querySet | ( | Query $ | query | ) |

Reimplemented from DB.

Definition at line 144 of file SQLite.class.php.

References Sequenceless::query().

Here is the call graph for this function:

SQLite::setDbEncoding | ( |  | ) |

misc

Reimplemented from DB.

Definition at line 70 of file SQLite.class.php.

The documentation for this class was generated from the following file:

- core/DB/SQLite.class.php